//
//  File.swift
//  
//
//  Created by Malcolm Anderson on 6/11/21.
//

import Foundation

public struct PlotConfiguration {
    public var numberOfPlots: Int? = nil
    public var sampleSetsPerPlot: Int? = nil
}

public struct RMCPlot {
    public var samples: Int? = nil
    public var samplePeriod: Double? = nil
    public var axisOwner: Int? = nil
    
    public var addresses: [DMCPAddress] = []
    
    public init() {}
}
