//
//  File.swift
//  
//
//  Created by Malcolm Anderson on 6/21/21.
//

import Foundation

protocol PlotReader {
    var connection: DMCPConnection { get }
    
    init(_ connection: DMCPConnection)
    
    func readPlot(
        _ id: Int,
        waitTimeout: Double?,
        onProgress: @escaping (_ samplesRead: Int, _ totalSamples: Int) -> Void,
        onResult: @escaping (_ error: Error?, _ data: RMCPlotData?) -> Void
    )
    
    
}
