//
//  RMCTypes.swift
//  
//
//  Created by Malcolm Anderson on 6/8/21.
//

import Foundation

public enum RMCType: Double {
    case rmc70 = 1.0
    case rmc150 = 2.0
    case rmc200 = 4.0
    
    public func toRMCClass() -> RMC.Type? {
        switch self {
        case .rmc70: return RMC70.self
        case .rmc150: return RMC150.self
        case .rmc200: return RMC200.self
        }
    }
    
}
