//
//  File.swift
//  
//
//  Created by Malcolm Anderson on 6/9/21.
//

import Foundation

public struct SetPressureForceLimitMode: RMCCommand {
    public var id = 40
    
    public var limit: PressureForceLimitMode
    
    public init(_ limit: PressureForceLimitMode) {
        self.limit = limit
    }
    
    public var argArray: [Double] {[self.limit.rawValue]}
}
